RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006124USAF[All Projects] Generalpublic2021-01-19 16:062021-05-04 16:17
ReporterTHE RUSSIA 
Assigned Toreyhard 
PrioritynoneSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.5.5 
Summary0006124: MP7A2 & AS VAL Rate Of Fire
DescriptionI think the MP7A2 is set to 800 rpm whereas real world data suggests it's more like 950rpm.

The AS VAL apparently has between 800-900rpm and is set to 899.
TagsNo tags attached.
Is it a wish/request?No
RHS versionStable
Arma 3 version2.00
Did you used any other mod when the error occurred?No
Which mods?
Attached Files

- Relationships

-  Notes
(0011550)
reyhard (administrator)
2021-03-21 11:27

Tweaked Mp7 rof
(0011690)
THE RUSSIA (reporter)
2021-05-03 15:34

I just tested this and it seems to still be at 800rpm?
(0011691)
da12thMonkey (administrator)
2021-05-03 21:51
edited on: 2021-05-03 21:51

No, it's definitely changed. Old 800rpm value was 0.075 new 950rpm value is 0.0631579
As mentioned on the forum you are either running another mod that interferes with the MP-7 or your method of measuring the fire rate is flawed.

(0011692)
THE RUSSIA (reporter)
2021-05-04 00:50

No other mod running and have had two other people test and measure and the best result is 2.7 secs in virtual arsenal. My frame rate was 104 the other guy (with fractionally slower time) was 144.

https://youtu.be/a0Xd3RI1kdY [^]
(0011693)
da12thMonkey (administrator)
2021-05-04 11:05
edited on: 2021-05-04 11:06

lmao are you seriously trying to measure how quickly the weapon empties a magazine, manually with a stopwatch? As I suspected, your method of measuring the fire rate is hugely flawed.

The difference between firing 40 shots at 800 rpm and firing 40 shots at 950 rpm is less than 0.5 seconds. Human reaction times are typically in the region of 0.25(+/- 0.1) seconds.
At least be smart and try it with `setAccTime 0.1` so that a 0.25 second delay in your reaction time accounts for an error factor of only around 6% of the time difference you are looking for, not close to a 60% error
That, or just look at the config viewer and see that the value is as mathematically correct as it can be in the game.

(0011694)
THE RUSSIA (reporter)
2021-05-04 14:00

I did post on the forum yesterday too just-in-case you didn't see the reply here, but to clarify:

"Times calculated by timeline in video editor to exact fire frames."

so about as accurate as can be measured based on actual in game results.

I agree 1/4 of a second is a long time and it seems the game engine can't run a 950 rpm animation (at least on 3 different PCs of the guys who tested it with fps from 100 to 150?) or the sound is bogging it down?
(0011695)
THE RUSSIA (reporter)
2021-05-04 16:17

Think I've fixed it ;-) can get about 910-923...

- Issue History
Date Modified Username Field Change
2021-01-19 16:06 THE RUSSIA New Issue
2021-03-21 11:27 reyhard Note Added: 0011550
2021-03-21 11:27 reyhard Status new => resolved
2021-03-21 11:27 reyhard Fixed in Version => 0.5.5
2021-03-21 11:27 reyhard Resolution open => fixed
2021-03-21 11:27 reyhard Assigned To => reyhard
2021-05-03 15:34 THE RUSSIA Note Added: 0011690
2021-05-03 21:51 da12thMonkey Note Added: 0011691
2021-05-03 21:51 da12thMonkey Status resolved => closed
2021-05-03 21:51 da12thMonkey Note Edited: 0011691 View Revisions
2021-05-04 00:50 THE RUSSIA Note Added: 0011692
2021-05-04 11:05 da12thMonkey Note Added: 0011693
2021-05-04 11:06 da12thMonkey Note Edited: 0011693 View Revisions
2021-05-04 11:06 da12thMonkey Note Edited: 0011693 View Revisions
2021-05-04 14:00 THE RUSSIA Note Added: 0011694
2021-05-04 16:17 THE RUSSIA Note Added: 0011695


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker